<h6 class="subtitle is-6 is-uppercase has-text-grey">Style</h6><h1 class="title is-1 is-family-secondary">Typography</h1>
<hr class="is-visible">
<p class="subtitle is-5 is-family-secondary">
    Use <strong>typography</strong> to create clear hierarchies to guide users through the product and experience. It is the core structure of any well designed interface.
</p>

<hr class="is-visible"><br>

<h4 class="title is-4 is-family-primary">Font family</h4>

<ul class="list">
    <li>For maximum legibility Biings DS uses <span class="is-family-primary has-text-weight-medium">Averta</span> as its main font family.</li>
    <li>For important headings use <strong class="is-family-secondary has-text-weight-bold">Merriweather</strong> – modifier <code>is-family-secondary</code></li>
    <li>When a Monospace font is required use <strong class="is-family-monospace">Roboto Mono</strong> – modifier <code>is-family-monospace</code></li>
</ul>

!> Any text immediatly following a <span class="is-family-secondary">Merriweather</span> header should <span style="text-decoration: underline;">always</span> use <span class="has-text-weight-bold">Averta</span>.

<hr class="is-large is-visible">
<h4 class="title is-4 is-spaced is-family-primary">Font weights</h4>
<p class="subtitle is-6">Use font weights to emphasize or differentiate content hierarchy.<br>Example: <code>has-text-weight-semibold</code></p>

<ul class="list is-size-5">
    <li><span class="has-text-weight-light">300 · Light</span></li>
    <li><span class="has-text-weight-normal">400 · Normal – <span class="is-family-secondary">Light</span></span></li>
    <li><span class="has-text-weight-medium">500 · Medium – <span class="is-family-secondary">Medium</span></span></li>
    <li><span class="has-text-weight-semibold">600 · Semibold</span></li>
    <li><span class="has-text-weight-bold">800 · Bold – <span class="is-family-secondary">Bold</span></span></li>
</ul>

<hr class="is-large is-visible">
<h4 class="title is-4 is-spaced is-family-primary">Scales</h4>
<p class="subtitle is-6">
Titles and subtitles have sizes ranging from 1 (biggest) to 6 (smallest). Texts have an extra 7th smaller size. Use the modifier syntax `is-[1-6]` for titles, and `is-size-[1-7]` for texts.
</p>

?> There should be a size difference of <strong>2</strong> between a title and its direct subtitle.

<hr class="is-small">

<div class="box">
    <h1 class="title is-0 is-family-secondary">Hero</h1><div class="subtitle is-4 has-text-grey">Website and marketing headers, serif recommanded</div>
    <hr class="is-smaller">
    <h1 class="title is-1 is-family-secondary">Page</h1><div class="subtitle is-4 has-text-grey">Main page header, serif recommanded</div>
    <hr class="is-smaller">
    <h2 class="title is-2">Section</h2><div class="subtitle is-4 has-text-grey">Section header, serif recommanded</div>
    <hr class="is-smaller">
    <h3 class="title is-3">Default</h3><div class="subtitle is-5 has-text-grey">Default size header</div>
    <hr class="is-smaller">
    <h4 class="title is-4">Title</h4><div class="subtitle is-5 has-text-grey">Basic title</div>
    <hr class="is-smaller">
    <h5 class="title is-5">Paragraph</h5><div class="subtitle is-6 has-text-grey">Paragraph header</div>
    <hr class="is-smaller">
    <h6 class="title is-6 has-text-weight-medium">Text</h6><div class="subtitle is-6 has-text-grey">Same size as regular text</div>
</div>

<hr>

<a href="http://bulma.io/documentation/modifiers/typography-helpers/" target="blank" class="box is-bordered is-link">
    More information on &nbsp;→&nbsp; <span class="has-text-primary">Bulma / <strong>Typography helpers</strong></span>
</a>